Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class AroundTimeoutTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.AroundTimeoutTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AroundTimeoutType<T>

    public class AroundTimeoutTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AroundTimeoutType<T>

This class implements the `around-timeoutType` xsd type

Original Documentation:

The around-timeout type specifies a method on a
class to be called during the around-timeout portion of
a timer timeout callback. Note that each class may have
only one around-timeout method and that the method may not
be overloaded.
If the class element is missing then
the class defining the callback is assumed to be the
interceptor class or component class in scope at the
location in the descriptor in which the around-timeout
definition appears.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AroundTimeoutTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AroundTimeoutTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`AroundTimeoutType<T>` | `removeClazz()` Removes the `class` element
`AroundTimeoutType<T>` | `removeMethodName()` Removes the `method-name` element
`AroundTimeoutType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`AroundTimeoutType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AroundTimeoutTypeImpl

    public AroundTimeoutTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### AroundTimeoutTypeImpl

    public AroundTimeoutTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setClazz

    public AroundTimeoutType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Specified by:
    `setClazz` in interface `AroundTimeoutType<T>`
  Returns:
    the current instance of `AroundTimeoutType`

### removeClazz

    public AroundTimeoutType<T> removeClazz()

  Removes the `class` element

  Specified by:
    `removeClazz` in interface `AroundTimeoutType<T>`
  Returns:
    the current instance of `AroundTimeoutType`

### getClazz

    public java.lang.String getClazz()

  Returns the `class` element

  Specified by:
    `getClazz` in interface `AroundTimeoutType<T>`
  Returns:
    the node defined for the element `class`

### setMethodName

    public AroundTimeoutType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Specified by:
    `setMethodName` in interface `AroundTimeoutType<T>`
  Returns:
    the current instance of `AroundTimeoutType`

### removeMethodName

    public AroundTimeoutType<T> removeMethodName()

  Removes the `method-name` element

  Specified by:
    `removeMethodName` in interface `AroundTimeoutType<T>`
  Returns:
    the current instance of `AroundTimeoutType`

### getMethodName

    public java.lang.String getMethodName()

  Returns the `method-name` element

  Specified by:
    `getMethodName` in interface `AroundTimeoutType<T>`
  Returns:
    the node defined for the element `method-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD